# Pure python package
%define debug_package %{nil}
Name:           tortoisehg
Version:        2.9.2
Release:        %mkrel 1
Summary:        Mercurial GUI command line tool thg
Group:          Development/Tools
License:        GPLv2
# - few files are however under the more permissive GPLv2+
URL:            http://tortoisehg.bitbucket.org/
Source0:        http://bitbucket.org/tortoisehg/targz/downloads/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  gettext
BuildRequires:  python-sphinx
BuildRequires:  python-qt4-devel
BuildRequires:  desktop-file-utils
Requires:       python-iniparse
Requires:       mercurial >= 2.0
# gconf needed at util/shlib.py for browse_url(url).
Requires:       gnome-python-gconf
Requires:       python-qt4
Requires:       python-qt4-qscintilla
Requires:       python-pygments

%description
This package contains the thg command line tool, which provides a graphical
user interface to the Mercurial distributed revision control system.

%package        nautilus
Summary:        Mercurial GUI plug-in to the Nautilus file manager
Group:          Development/Tools
Requires:	python-gi
Requires:       %{name} = %{version}-%{release}, nautilus-python

%description    nautilus
This package contains the TortoiseHg Gnome/Nautilus extension, which makes the
Mercurial distributed revision control system available in the file manager
with a graphical interface.

Note that the nautilus extension has been deprecated upstream.

%prep
%setup -q

cat > tortoisehg/util/config.py << EOT
bin_path     = "%{_bindir}"
license_path = "%{_docdir}/%{name}-%{version}/COPYING.txt"
locale_path  = "%{_datadir}/locale"
icon_path    = "%{_datadir}/pixmaps/tortoisehg/icons"
nofork       = True
EOT

%build
python setup.py build

(cd doc && make html)
rm doc/build/html/.buildinfo

%install
python setup.py install -O1 --skip-build --root %{buildroot}

mkdir -p %{buildroot}/%{_sysconfdir}/mercurial/hgrc.d
install contrib/mergetools.rc %{buildroot}%{_sysconfdir}/mercurial/hgrc.d/thgmergetools.rc

ln -s tortoisehg/icons/svg/thg_logo.svg %{buildroot}%{_datadir}/pixmaps/%{name}_logo.svg
desktop-file-install --dir=%{buildroot}%{_datadir}/applications contrib/thg.desktop

mkdir -p %{buildroot}%{_datadir}/nautilus-python/extensions
#mv %{buildroot}/usr/lib/nautilus/extensions-2.0/python/nautilus-thg.py* %{buildroot}%{_datadir}/nautilus-python/extensions
rm -rf %{buildroot}/usr/lib/nautilus/extensions-2.0

%find_lang %{name}

%files -f %{name}.lang
%doc COPYING.txt doc/build/html/
%{_bindir}/thg
%{py_puresitedir}/tortoisehg/
%{py_puresitedir}/tortoisehg-*.egg-info
%{_datadir}/pixmaps/tortoisehg/
%{_datadir}/pixmaps/%{name}_logo.svg
%{_datadir}/applications/thg.desktop

%config(noreplace) %attr(644,root,root) %{_sysconfdir}/mercurial/hgrc.d/thgmergetools.rc

%files nautilus
%{_datadir}/nautilus-python/extensions/nautilus-thg.py*


%changelog
* Thu Feb 06 2014 matteo <matteo> 2.9.2-1.mga4
+ Revision: 584846
- version 2.9.2 (minimum requirement to fix bug mga#12619 , thg not compatible with mercurial version)

* Sat Nov 02 2013 fwang <fwang> 2.8-4.mga4
+ Revision: 549032
- add requires

* Tue Oct 22 2013 umeabot <umeabot> 2.8-3.mga4
+ Revision: 544611
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.8-2.mga4
+ Revision: 499917
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Jun 21 2013 matteo <matteo> 2.8-1.mga4
+ Revision: 445553
- new version

* Sat Feb 09 2013 kamil <kamil> 2.7-1.mga3
+ Revision: 397257
- new version 2.7
- clean .spec a bit

* Mon Jan 14 2013 umeabot <umeabot> 2.6.2-2.mga3
+ Revision: 384691
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 matteo <matteo> 2.6.2-1.mga3
+ Revision: 340407
- new version

* Sun Dec 09 2012 matteo <matteo> 2.6-1.mga3
+ Revision: 329076
- new version

* Sat Nov 10 2012 matteo <matteo> 2.5.1-1.mga3
+ Revision: 316897
- new minor version

* Sun Oct 21 2012 malo <malo> 2.5-2.mga3
+ Revision: 308966
- update RPM group

* Fri Sep 28 2012 matteo <matteo> 2.5-1.mga3
+ Revision: 299141
- spec file reviewed

  + anaselli <anaselli>
    - new version 2.5

* Mon Aug 06 2012 matteo <matteo> 2.4.2-1.mga3
+ Revision: 279205
- new version

* Wed Jun 13 2012 matteo <matteo> 2.4.1-1.mga3
+ Revision: 260318
- new version

* Sun Jun 03 2012 matteo <matteo> 2.4-1.mga3
+ Revision: 253824
- new version

* Tue May 01 2012 anaselli <anaselli> 2.3.2-1.mga2
+ Revision: 234447
- Added a check for missing ~/.tortoisehg
- Fixed nautilus menu (right position is /usr/share/nautilus-python/extensions)
  Fixed as noarch now
- new 2.3.2

* Mon Mar 05 2012 matteo <matteo> 2.3.1-1.mga2
+ Revision: 218299
- new version

* Thu Jan 05 2012 matteo <matteo> 2.2.2-2.mga2
+ Revision: 191952
+ rebuild (emptylog)

* Tue Jan 03 2012 matteo <matteo> 2.2.2-1.mga2
+ Revision: 189951
- version upgrade

* Fri Dec 09 2011 matteo <matteo> 2.2.1-1.mga2
+ Revision: 179571
- new version 2.2.1

* Fri Nov 11 2011 matteo <matteo> 2.2-1.mga2
+ Revision: 166387
- version upgrade

* Sat Nov 05 2011 anaselli <anaselli> 2.1.4-2.mga2
+ Revision: 163765
- hg version to fix mercurial 2.0 dependecy

* Sun Oct 09 2011 matteo <matteo> 2.1.4-1.mga2
+ Revision: 153595
- upgraded to version 2.1.4

* Sun Sep 04 2011 matteo <matteo> 2.1.3-1.mga2
+ Revision: 138477
- spec upgraded to the new software version
- imported package tortoisehg

